Review (and install?) Extension:Chemistry on en.wikipedia
Closed, InvalidPublic

Description

Author: Beetstra.wiki

Description:
I would like to request the addition of the two extensions in the directory Chemical (spec.
ChemFunctions.php, SpecialChemicalsources.php and the additional language file ChemFunctions.i18n.php)
to the wikipedia server (the files reside in
http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Chemistry/). Could these extensions be
applied in the test wikipedia, and later (if they behave correcly) on the wikipedia? The programme has
been reviewed by Jimmy Collins, and he helped me to remove some errors in my programming.

Why do we want this patch: Within the Wikiproject:Chemicals (and the higher Wikiproject:Chemistry) one
of the issues has for long been the addition of external links to the pages about specific chemical
substances. The extension SpecialChemicalsources adds a special page which loads a special-page like
the special:booksources, but then for chemical identifiers. The extension in ChemFunctions adds the
functionality of a tag for the chemical formulae (which are now a hassle to put into a document), and
additionally links this to the special:Chemicalsources. The addition of the Specialpage should enable
us to remove many (biased) external links, especially those to commercial suppliers.

Installation: copy the three files to the extensions folder, and add lines to localsettings.php:

require_once( "$IP/extensions/ChemFunctions.php" );
require_once( "$IP/extensions/SpecialChemicalsources.php" );

(removing these two lines should disable the functionality again).

Thank you!

Dirk Beetstra


Version: unspecified
Severity: enhancement
URL: http://meta.wikimedia.org/wiki/Chemistry

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz7514.
bzimport created this task.Via LegacyOct 7 2006, 5:37 PM
bzimport added a comment.Via ConduitOct 9 2006, 5:17 PM

jeluf wrote:

Is there any user's guide for that extension?
Or a demo installation?

bzimport added a comment.Via ConduitOct 9 2006, 5:24 PM

Beetstra.wiki wrote:

A user's guide has been written on meta.wikipedia.org (http://meta.wikimedia.org/wiki/Chemistry), but
that is still quite rudimentary. I do not have a demo-installation, can't open my computer for outside
access. Still looking for a publically accessable wiki to test things on (I have a question posted in
the en.wikipedia.org on the chemicals portal
(http://en.wikipedia.org/wiki/Wikipedia_talk:WikiProject_Chemicals) to see if there is somewhere a wiki
for that).

bzimport added a comment.Via ConduitOct 10 2006, 6:39 PM

jimmy.collins wrote:

(In reply to comment #0)
Hi. I did not review the complete code. I just fixed some PHP errors.

bzimport added a comment.Via ConduitOct 26 2006, 2:55 PM

Beetstra.wiki wrote:

Demo of the extensions is running on http://chemistry.poolspares.com (thanks Nickj)

bzimport added a comment.Via ConduitJan 31 2007, 8:26 AM

egonw wrote:

I would say it is very important that the template supports InChI too. I looked
up the caffeine example on poolspares.com, but could not find the InChI for
caffeine. Is there such support, or otherwise, would you be open to having such
support?

see: iupac.org/inchi/

bzimport added a comment.Via ConduitJan 31 2007, 8:40 AM

egonw wrote:

Something else...

I worked on some semantic markup for SMILES, CAS number etc [1]. Are you open
for a patch for support for that? It basically works like this: <span
class="chem:casnumber">50-00-00</span>, <span
class="chem:inchi">InChI=1/...</span> and <span
class="chem:smiles">CCCOC</span>. It is available as microformat and RDFa.

I wrote a Greasemonkey script [2] which uses it, and I set up Chemical blogspace
[3] that picks up the semantics too; The last focuses on blogs, but shows the
acceptance. I also wrote a JavaScript for the server to use these semantics to
automatically make links to PubChem, eMolecules and Google [4], similarly to the
Greasemonkey script.

1.http://chem-bla-ics.blogspot.com/2006/12/including-smiles-cml-and-inchi-in.html
2.http://chem-bla-ics.blogspot.com/2006/12/chemistry-in-html-greasemonkey-again.html
3.http://wiki.cubic.uni-koeln.de/cb/
4.http://chem-bla-ics.blogspot.com/2007/01/chemistry-in-html-javascript-from.html

bzimport added a comment.Via ConduitJan 31 2007, 2:42 PM

proclus wrote:

I also think that this is an excellent proposed new feature.

Regards,
proclus
http://www.gnu-darwin.org/

bzimport added a comment.Via ConduitJan 31 2007, 8:28 PM

me wrote:

I completely agree on the relevance of external searches *and* interal explicit
(more or less unique) molecule identifiers like InChI. Why?

First, help to avoid the 'deep web' problem, so we need explicite 'unique'
molecule identifiers on pages and links to external search pages.
http://en.wikipedia.org/wiki/Deep_web

Second, how to find a molecule I can draw, but I do not know the name? E.g.
InChI=1/C8H10N4O2/c1-10-4-9-6-5(10)7(13)12(3)8(14)11(6)2/h4H,1-3H3
In other words, we need substructure searches, not just cross-links for ID-numbers

Joerg

bzimport added a comment.Via ConduitJan 31 2007, 9:26 PM

rnldcook wrote:

I agree with the inclusion of SMILES code and and InChI for Wikipedia,
especially since two recent papers have shown that the SMILES code can be used
as a similarity indices showing comparable (or better) power than the widely
used Tanimoto indices (Hirst etal 2007) and SMILES codes have been used to
directly develop interpretable rules for chemical structure activity
relationships (Karwath and DeRaedt 2006)

Ronald Cook

bzimport added a comment.Via ConduitAug 7 2007, 11:03 PM

me wrote:

What is the status of this request?

bzimport added a comment.Via ConduitFeb 21 2009, 4:04 PM

mike.lifeguard+bugs wrote:

(In reply to comment #10)

What is the status of this request?

I imagine code review is needed.

Krenair added a comment.Via ConduitJul 26 2012, 1:27 AM

Bug has been dead for the past 3 years. Extension has not been reviewed
for deployment on Wikimedia sites and there is no apparent consensus for this
extension to be enabled on enwiki. RESOLVED INVALID.

demon added a comment.Via ConduitJul 26 2012, 2:54 PM

(In reply to comment #12)

Bug has been dead for the past 3 years. Extension has not been reviewed
for deployment on Wikimedia sites and there is no apparent consensus for this
extension to be enabled on enwiki. RESOLVED INVALID.

Of those 3 reasons, only the last one is a reason to resolve a bug INVALID.

Krenair added a comment.Via ConduitJul 26 2012, 2:58 PM

So WONTFIX instead then?

demon added a comment.Via ConduitJul 26 2012, 3:20 PM

INVALID is fine I guess, I'm not trying to bikeshed.

My main point was that we don't close bugs just for being 3 years old, and we don't close bugs just because the requisite review hasn't happened yet.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.